## gimppatternselect gimppatternselect |

## Functions

void | (*GimpRunPatternCallback) ()
const gchar * | gimp_pattern_select_new ()
void | gimp_pattern_select_destroy ()
gboolean | gimp_patterns_popup ()
gboolean | gimp_patterns_close_popup ()
gboolean | gimp_patterns_set_popup ()

## Description

## Functions

### GimpRunPatternCallback ()

    void
    (*GimpRunPatternCallback) (const gchar *pattern_name,
                               gint width,
                               gint height,
                               gint bpp,
                               const guchar *mask_data,
                               gboolean dialog_closing,
                               gpointer user_data);

### gimp_pattern_select_new ()

    const gchar *
    gimp_pattern_select_new (const gchar *title,
                             const gchar *pattern_name,
                             GimpRunPatternCallback callback,
                             gpointer data);

### gimp_pattern_select_destroy ()

    void
    gimp_pattern_select_destroy (const gchar *pattern_callback);

### gimp_patterns_popup ()

    gboolean
    gimp_patterns_popup (const gchar *pattern_callback,
                         const gchar *popup_title,
                         const gchar *initial_pattern);

### gimp_patterns_close_popup ()

    gboolean
    gimp_patterns_close_popup (const gchar *pattern_callback);

### gimp_patterns_set_popup ()

    gboolean
    gimp_patterns_set_popup (const gchar *pattern_callback,
                             const gchar *pattern_name);

## Types and Values